Name: fonts-SIL-arabic-unicode
Version: 1.0rc1
Release: 1
License: Free for noncommercial purposes
Source: SIL-arabic.tar.gz 
BuildRoot: %{_tmppath}/%{name}-root
BuildArch: noarch
Group: User Interface/X
Summary: SIL Arabic Script Unicode Fonts
URL: http://scripts.sil.org/ArabicFonts
Prereq: fontconfig 
Requires: pango >= 1.11.1
Requires: libgnomeprint22 >= 2.12.1
 
%description
Scheherazade and Lateef are extended Arabic script fonts designed by SIL International for modern Unicode-based systems using either OpenType or AAT (Apple Advanced Typography) for complex-script rendering. They support virtually all of the Unicode 4.1 Arabic character repertoire (excluding the Arabic Presentation Forms blocks, which are not recommended for normal use). Each typeface is currently available in Regular weight only.

Scheherazade, named after the heroine of the classic Arabian Nights tale, is designed in a similar style to traditional typefaces such as Monotype Naskh, extended to cover the full Unicode Arabic repertoire.

Lateef is named after Shah Abdul Lateef Bhitai, the famous Sindhi mystic and poet. It is intended to be an appropriate style for use in Sindhi and other languages of the South Asian region:

%prep
%setup -q -c

%install
rm -rf $RPM_BUILD_ROOT

mkdir -p $RPM_BUILD_ROOT%{_datadir}/fonts/SIL-arabic-unicode
cp SIL-arabic/*.ttf $RPM_BUILD_ROOT%{_datadir}/fonts/SIL-arabic-unicode
# %%ghost the fonts.cache-1 file
touch $RPM_BUILD_ROOT%{_datadir}/fonts/SIL-arabic-unicode/fonts.cache-1

%clean
rm -rf $RPM_BUILD_ROOT

%post
if [ -x %{_bindir}/fc-cache ]; then
  %{_bindir}/fc-cache %{_datadir}/fonts
fi

%postun
if [ "$1" = "0" ]; then
  if [ -x %{_bindir}/fc-cache ]; then
    %{_bindir}/fc-cache %{_datadir}/fonts
  fi
fi


%files
%defattr(-,root,root)
%doc SIL-arabic/LICENSE
%dir %{_datadir}/fonts/SIL-arabic-unicode
%{_datadir}/fonts/SIL-arabic-unicode/*.ttf
%ghost %{_datadir}/fonts/SIL-arabic-unicode/fonts.cache-1

%changelog
* Tue Feb 28 2006 Petr Tomasek <tomasek@etf.cuni.cz>
- Initial package
